/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListDatasetsInput } from "../types/ListDatasetsInput";
import { ListDatasetsOutput } from "../types/ListDatasetsOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/ListDatasetsInput";
export * from "../types/ListDatasetsOutput";
export * from "../types/ListDatasetsExceptionsUnion";
export declare class ListDatasetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListDatasetsInput, OutputTypesUnion, ListDatasetsOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: ListDatasetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListDatasetsInput, ListDatasetsOutput, _stream.Readable>;
    constructor(input: ListDatasetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<ListDatasetsInput, ListDatasetsOutput>;
}
