/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListIdentityPoolUsageInput } from "../types/ListIdentityPoolUsageInput";
import { ListIdentityPoolUsageOutput } from "../types/ListIdentityPoolUsageOutput";
import { CognitoSyncResolvedConfiguration } from "../CognitoSyncConfiguration";
export * from "../types/ListIdentityPoolUsageInput";
export * from "../types/ListIdentityPoolUsageOutput";
export * from "../types/ListIdentityPoolUsageExceptionsUnion";
export declare class ListIdentityPoolUsageCommand implements __aws_sdk_types.Command<InputTypesUnion, ListIdentityPoolUsageInput, OutputTypesUnion, ListIdentityPoolUsageOutput, CognitoSyncResolvedConfiguration, _stream.Readable> {
    readonly input: ListIdentityPoolUsageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListIdentityPoolUsageInput, ListIdentityPoolUsageOutput, _stream.Readable>;
    constructor(input: ListIdentityPoolUsageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: CognitoSyncResolvedConfiguration): __aws_sdk_types.Handler<ListIdentityPoolUsageInput, ListIdentityPoolUsageOutput>;
}
