"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListDatasetsInput = {
    type: "structure",
    required: ["IdentityId", "IdentityPoolId"],
    members: {
        IdentityPoolId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityPoolId"
        },
        IdentityId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityId"
        },
        NextToken: {
            shape: {
                type: "string"
            },
            location: "querystring",
            locationName: "nextToken"
        },
        MaxResults: {
            shape: {
                type: "integer"
            },
            location: "querystring",
            locationName: "maxResults"
        }
    }
};
//# sourceMappingURL=ListDatasetsInput.js.map