"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._RecordPatch = {
    type: "structure",
    required: ["Op", "Key", "SyncCount"],
    members: {
        Op: {
            shape: {
                type: "string"
            }
        },
        Key: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Value: {
            shape: {
                type: "string"
            }
        },
        SyncCount: {
            shape: {
                type: "integer"
            }
        },
        DeviceLastModifiedDate: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_RecordPatch.js.map